Subject: RE: bug#1800: 23.0.60; Changed meaning of * in buffer name completion

From: "Drew Adams" <[email-masked]>
Date: Wed, 7 Jan 2009 10:05:17 -0800

> > This is not (necessarily) about partial completion. The new 
> > feature is that a list of completion methods is used, in
> > order, to try to complete user input. That list is the
> > value of `completion-styles', which by default is `(basic
> > partial-completion)'.
> 
> I think we should replace `partial-completion' in the default
> value of `completion-styles' with a new completion method, e.g.
> `confirm-partial-completion'.

Providing `confirm-partial-completion' as another alternative completion style
is fine, but why make it the default behavior? What's wrong with the traditional
behavior as default?